@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

@import "../support/_bulkedit-validation-variables.scss";

.yw-bulkedit-validation-result {
	&-container {
		.z-listitem{
			border-top: $bulkedit-validation__result-list-item--border;
			.z-listcell-content {
				padding-left: $bulkedit-validation__result-list-item--padding-x;
				padding-right: $bulkedit-validation__result-list-item--padding-x;
			}

			&:hover {
				background-color: $blue__light;
			}
			&:first-child {
				border-top-width: 0;
			}
		}
		&,
		.z-listbox {
			border-color: $bulkedit-validation__result-list--border-color;
		}
		.z-listbox {
			max-height: 500px;
			overflow-y: auto;
		}
		.yw-modal-configurableFlow .yw-wizard-content > & {
			margin: $bulkedit-validation__configurable-flow-result-container--margin;
			border-width: 0;

			.z-listbox {
				border-width: nth($bulkedit-validation__result-list-item--border, 1) 0 0;
			}
		}
	}

  	&-report {
	  background-color: $bulkedit-validation__result-report--bg-color;
	  color: $bulkedit-validation__result-report--color;
	  display: $bulkedit-validation__result-report--display;
	  font-weight: $bulkedit-validation__result-report--font-weight;
	  margin: $bulkedit-validation__result-report--margin;

	  &:hover, &:focus {
		background-color: $bulkedit-validation__result-report-hover--bg-color;
		color: $bulkedit-validation__result-report--color;
	  }
	}

	&-subtitle {
		font-weight: $bulkedit-validation__result-subtitle--font-weight;
		font-size: $bulkedit-validation__result-subtitle--font-size;
		color: $bulkedit-validation__result-subtitle--color;

		&-container {
			padding: $bulkedit-validation__result-subtitle-container--padding;
			position: relative;
		}

		&:after {
			background: $bulkedit-validation__result-subtitle-icon--bg;
			height: $bulkedit-validation__result-subtitle-icon--size;
			width: $bulkedit-validation__result-subtitle-icon--size;
			right: $bulkedit-validation__result-subtitle-icon--right;
			position: absolute;
			content: "";
		}
	}

	&-row-header {
		padding-right: $bulkedit-validation__result-list-header--padding-right;
		position: relative;

		.y-show-details-btn-expanded,
		.y-show-details-btn {
			width: $bulkedit-validation__toggle-icon--size;
			height: $bulkedit-validation__toggle-icon--size;
			margin-top: $bulkedit-validation__toggle-icon--margin-top;
			margin-right: $bulkedit-validation__toggle-icon--margin-right;
			position: absolute;
			top: 50%;
			right: 0;


			&:after {
				color: $bulkedit-validation__toggle-icon--color;
				font-size: $bulkedit-validation__toggle-icon--line-height;
				line-height: $bulkedit-validation__toggle-icon--size;
				font-family: $bulkedit-validation__toggle-icon--font;
				content:  $bulkedit-validation__toggle-icon--content;
				width: $bulkedit-validation__toggle-icon--size;
				text-align: center;
			}
		}

		.y-show-details-btn-expanded:after {
			content: $bulkedit-validation__toggle-expanded-icon-content;
		}

		&-title {
			font-weight: $bulkedit-validation__result-list-title--font-weight;
			font-size: $bulkedit-validation__result-list-title--font-size;
			display: block;
		}
		&-subtitle {
			font-size: $bulkedit-validation__result-list-subtitle--font-size;
			display: block;
		}
	}

	&-row-details {
		padding-top: $bulkedit-validation__result-list-details--padding-top;
		height: 100%;
		width: 100%;

		ul {
			padding: 0;
		}

		&-cell {
			list-style: none;
			margin-top: $bulkedit-validation__result-list-details-cell--margin-top;

			span.z-label {
				font-size: $bulkedit-validation__result-list-details--font-size;
				white-space: normal;
				word-break: break-all;
			}
			span.z-label.yw-bulkedit-validation-result-row-details-cell-column-header {
				font-weight: $bulkedit-validation__result-list-details-header--font-weight;

			  $severities: info $bulkedit-validation__result-list-details-header-info--color, warn $bulkedit-validation__result-list-details-header-warn--color, error $bulkedit-validation__result-list-details-header-error--color;
			  @each $kvp in $severities {
				&-#{nth($kvp, 1)} {
				  color: nth($kvp, 2);
				}
			  }

			}
		}
	}

}